name: hoopl
version: 3.10.0.2
id: hoopl-3.10.0.2-0f19d8f452f19e2befbe96868260767a
key: hoopl_FCWMV1gJiCi02IwN4CnRgk
license: BSD3
maintainer: nr@cs.tufts.edu
homepage: http://ghc.cs.tufts.edu/hoopl/
synopsis: A library to support dataflow analysis and optimization
description:
    Higher-order optimization library
    .
    See /Norman Ramsey, Joao Dias, and Simon Peyton Jones./
    <http://research.microsoft.com/en-us/um/people/simonpj/Papers/c--/hoopl-haskell10.pdf "Hoopl: A Modular, Reusable Library for Dataflow Analysis and Transformation"> /(2010)/ for more details.
category: Compilers/Interpreters
author: Norman Ramsey, Joao Dias, Simon Marlow and Simon Peyton Jones
exposed: True
exposed-modules:
    Compiler.Hoopl Compiler.Hoopl.Internals Compiler.Hoopl.Wrappers
    Compiler.Hoopl.Passes.Dominator Compiler.Hoopl.Passes.DList
hidden-modules: Compiler.Hoopl.Checkpoint
                Compiler.Hoopl.Collections Compiler.Hoopl.Combinators
                Compiler.Hoopl.Dataflow Compiler.Hoopl.Debug Compiler.Hoopl.Block
                Compiler.Hoopl.Graph Compiler.Hoopl.Label Compiler.Hoopl.MkGraph
                Compiler.Hoopl.Fuel Compiler.Hoopl.Pointed Compiler.Hoopl.Shape
                Compiler.Hoopl.Show Compiler.Hoopl.Unique Compiler.Hoopl.XUtil
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/hoopl_FCWMV1gJiCi02IwN4CnRgk
library-dirs: /usr/lib/ghc-7.10.3/hoopl_FCWMV1gJiCi02IwN4CnRgk
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/hoopl-3.10.0.2
hs-libraries: HShoopl-3.10.0.2-FCWMV1gJiCi02IwN4CnRgk
depends:
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592
haddock-interfaces: /usr/share/doc/ghc/html/libraries/hoopl-3.10.0.2/hoopl.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/hoopl-3.10.0.2
